org.apache.lucene.search

## Class IndexSearcher.LeafSlice

- java.lang.Object
- - org.apache.lucene.search.IndexSearcher.LeafSlice

- Enclosing class:
    IndexSearcher

      public static class IndexSearcher.LeafSlice
      extends Object

  A class holding a subset of the `IndexSearcher`s leaf contexts to be executed within a single thread.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSearcher.LeafSlice(AtomicReaderContext... leaves)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexSearcher.LeafSlice

          public IndexSearcher.LeafSlice(AtomicReaderContext... leaves)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.